using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PCUT.API.Managers
{
    public interface IManager<T>
    {
        Task<List<T>> GetAllAsync();
        Task<T> GetByIdAsync(int id);
        Task<T> CreateAsync(T entity);
        Task<T> UpdateAsync(int id, T entity);
        Task<bool> DeleteAsync(int id);

    }
}
